%define anolis_release 3
%global         debug_package %{nil}
%global         source_version 2022.01.27

Name:           deepin-desktop-base
Version:        2023.04.21
Release:        1.%{anolis_release}%{?dist}
Summary:        Base files for Deepin Desktop
License:        GPLv3
URL:            https://github.com/linuxdeepin/deepin-desktop-base
Source0:        %{url}/archive/%{version}/%{name}-%{source_version}.tar.gz
Source1:        dde.conf

Patch1:         0001-fix-unified-use-desktop-version-server.in.patch
Patch2:         0002-adapt-E.patch
Patch3:         0003-adapt-A.patch

#add for uos
Patch4:         compliance-modification-of-regional-and-textual-titl.patch

# compliance
Patch5:         0001-feat-modify-uniontech-os-to-UOS-for-lsb-release.patch
Patch6:         0002-feat-uniontech-os.patch

Patch7:         0001-fix-logo.patch

%description
%{summary}.

%package        -n deepin-desktop-server
Summary:        Base files for Deepin Desktop Server
Provides:       deepin-desktop-base
Obsoletes:      deepin-desktop-base < %{version}
Recommends:     deepin-wallpapers
Recommends:     deepin-screensaver

%description    -n deepin-desktop-server
%{summary}.


%prep
%setup -q -n %{name}-%{source_version} 
%patch1 -p1
%if 0%{?openeuler}
%patch2 -p1
%else
%patch3 -p1
%endif

%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1

%ifarch aarch64 x86_64 loongarch64 i386 i686
short_arch="$(
%ifarch aarch64
echo "arm64"
%endif
%ifarch x86_64 i386 i686
echo "amd64"
%endif
%ifarch loongarch64
echo "%{_arch}"
%endif
)"

long_arch="%{_arch}"
%ifarch i386 i686
long_arch="x86_64"
%endif

export short_arch long_arch

branch_name="$(if test "0%{?openeuler}" != "0"; then echo "E"; else echo "A"; fi)"
%endif

%build
# Remove Deepin lsb-release
sed -i '/lsb-release/d' Makefile
# update usr/lib/ path
sed -i 's|/usr/lib|%{_datadir}|' Makefile
%make_build

%install
%make_install
## install distribution.info
install -d -p %{buildroot}/%{_datadir}/deepin/distribution/
install -Dm644 distribution.info       %{buildroot}/%{_datadir}/deepin/distribution.info
install -Dm644 distribution/*.svg      %{buildroot}/%{_datadir}/deepin/distribution/
install -Dm644 files/logind.conf   %{buildroot}/%{_sysconfdir}/systemd/logind.conf.d/logind.conf
install -Dm644 files/systemd.conf  %{buildroot}/%{_sysconfdir}/systemd/system.conf.d/systemd.conf
install -Dm644 files/dde-session-ui.conf  %{buildroot}/etc/deepin/dde-session-ui.conf
install -Dm644 files/desktop-version-server %{buildroot}%{_datadir}/deepin/desktop-version-server
ln -sfv %{_datadir}/deepin/desktop-version-server %{buildroot}%{_sysconfdir}/deepin-version
install -Dm644 files/os-license %{buildroot}/%{_sysconfdir}/.uos/os-license         
%if 0%{?openeuler}
%else
install -m 0644 %{SOURCE1} %{buildroot}/%{_sysconfdir}/deepin/dde.conf
%endif

%files -n deepin-desktop-server
%{_sysconfdir}/deepin-version
%if 0%{?openeuler}
%else
%{_sysconfdir}/deepin/dde.conf
%endif
%{_datadir}/i18n/*.json
%{_datadir}/deepin/distribution.info
%{_datadir}/deepin/distribution/
%{_datadir}/deepin/desktop-version-server
%{_sysconfdir}/appstore.json
%{_datadir}/plymouth/deepin-logo.png
%{_datadir}/deepin/uos_logo.svg
%{_sysconfdir}/systemd/system.conf.d/systemd.conf
%{_sysconfdir}/systemd/logind.conf.d/logind.conf
%{_datadir}/python-apt/templates/Deepin.info
%{_datadir}/python-apt/templates/Deepin.mirrors
%{_datadir}/deepin/dde-desktop-watermask.json
%{_sysconfdir}/deepin/dde-session-ui.conf
%{_sysconfdir}/.uos/os-license
%{_sysconfdir}/os-version
%exclude %{_sysconfdir}/systemd/logind.conf.d/deepin-base.conf
%exclude %{_sysconfdir}/systemd/system.conf.d/deepin-base.conf
%exclude %{_sysconfdir}/systemd/user.conf.d/deepin-base.conf
%exclude %{_datadir}/deepin/desktop-version
%exclude %{_localstatedir}/uos/os-license


%changelog
* Tue Nov 07 2023 yangxianzhao <yangxianzhao@uniontech.com> - 2023.04.21-1.2
- rebuild for qt

* Mon Aug 28 2023 yangxianzhao <yangxianzhao@uniontech.com> - 2023.04.21-1.03.1
- Specification spec file

* Thu Jun 01 2023 leeffo <liweiganga@uniontech.com> - 2023.04.21-1.03
- rebuild: update license config files

* Mon May 22 2023 leeffo <liweiganga@uniontech.com> - 2023.04.21-1.02
- feat: 去掉uniontech os相关水印字段
- feat: modify uniontech os to UOS for lsb-release

* Fri May 5 2023 zhangxianting <zhangxianting@uniontech.com> - 2023.04.21-1.01
- fix: compliance modification of regional and textual titles(bugid:263149)

* Fri Apr 21 2023 yangxiaoxuan <yangxiaoxuan@uniontech.com> - 2023.04.21-1
- feat: update product version

* Tue Feb 07 2023 herengui <herengui@uniontech.com> - 2023.02.03-2
- feat: update product version

* Fri Feb 03 2023 liweigang <liweiganga@uniontech.com> - 2023.02.03-1
- update: update to 2023.02.03

* Wed Feb 01 2023 herengui <herengui@uniontech.com> - 2022.01.27-1.06
- feat: update product version 

* Fri Oct 28 2022 herengui <herengui@uniontech.com> - 2022.01.27-1.05
- feat: update OsBuild number

* Thu Oct 13 2022 herengui <herengui@uniontech.com> - 2022.01.27-1.04
- rebuild: update license config files

* Fri Jun 10 2022 liweigang <liweiganga@uniontech.com> - 2022.01.27-1.03
- rebrand: add dde.conf and add patches

* Fri Jun 10 2022 uoser <uoser@uniontech.com> - 2022.01.27-1.02
- package init
